DDforDD API
Programmatic read-only access to drug, trial, indication, and financial data.
Quick Start
1
Create an API key
Go to Profile → API Keys and create a new key.
2
Make requests
Include your key in the Authorization header:
curl -H "Authorization: Bearer sa_live_your_key_here" \ https://ddfordd.skai-line.com/api/v1/drugs?limit=3
Authentication
All API requests require a Bearer token in the Authorization header.
Authorization: Bearer sa_live_your_key_here
Rate Limits
| Plan | Daily Limit | Reset |
|---|---|---|
| Free | 100 requests/day | UTC midnight |
| Pro | 1,000 requests/day | UTC midnight |
Rate limit info is returned in response headers: X-RateLimit-Remaining, X-RateLimit-Reset
Endpoints
GET
/api/v1/drugsSearch and list drugs
Query Parameters
indicationFilter by disease/conditionapprovalStatusAPPROVED, INVESTIGATIONAL, DISCONTINUEDmechanismMechanism keyword (IL-17, JAK, PD-1)companyManufacturer namelimitResults per page (default 20, max 100)offsetPagination offsetExample
curl -H "Authorization: Bearer sa_live_..." \ "https://ddfordd.skai-line.com/api/v1/drugs?indication=psoriasis&approvalStatus=APPROVED&limit=5"
GET
/api/v1/drugs/:slugGet detailed drug information including targets, trials, patents, and indications
Example
curl -H "Authorization: Bearer sa_live_..." \ "https://ddfordd.skai-line.com/api/v1/drugs/humira"
GET
/api/v1/trialsSearch clinical trials
Query Parameters
drugDrug name filterindicationDisease/condition filterphasePhase 1, Phase 2, Phase 3, Phase 4statusCOMPLETED, RECRUITING, etc.limitResults per page (default 20, max 100)offsetPagination offsetExample
curl -H "Authorization: Bearer sa_live_..." \ "https://ddfordd.skai-line.com/api/v1/trials?indication=psoriasis&phase=Phase 3&limit=10"
GET
/api/v1/indicationsSearch indications with epidemiology and linked drugs
Query Parameters
searchSearch by indication namelimitResults per page (default 20, max 100)offsetPagination offsetExample
curl -H "Authorization: Bearer sa_live_..." \ "https://ddfordd.skai-line.com/api/v1/indications?search=psoriasis"
GET
/api/v1/companiesCompany financials (revenue, R&D, market cap)
Query Parameters
tickerStock ticker symbol (ABBV, PFE, LLY)limitResults per page (default 20, max 50)Example
curl -H "Authorization: Bearer sa_live_..." \ "https://ddfordd.skai-line.com/api/v1/companies?ticker=ABBV"
Ready to get started?
Create Your API Key